| Fast CDR Version 2.3.5 Fast CDR

Loading...
Searching...
No Matches
LockedExternalAccessException Class Reference
FastCDR Serializer API Reference » Exceptions

This class is thrown as an exception when accessing to set the value of a locked external. More...

`#include <LockedExternalAccessException.hpp>`

Inheritance diagram for LockedExternalAccessException:
[legend]

## Public Member Functions

| LockedExternalAccessException (const char *const &message) noexcept
| Default constructor.
| LockedExternalAccessException (const LockedExternalAccessException &ex) noexcept
| Default copy constructor.
| LockedExternalAccessException (LockedExternalAccessException &&ex) noexcept
| Default move constructor.
LockedExternalAccessException & | operator= (const LockedExternalAccessException &ex) noexcept
| Assigment operation.
LockedExternalAccessException & | operator= (LockedExternalAccessException &&ex) noexcept
| Assigment operation.
virtual | ~LockedExternalAccessException () noexcept
| Default destructor.
void | raise () const override
| This function throws the object as exception.
Public Member Functions inherited from Exception
virtual | ~Exception () noexcept
| Default destructor.
virtual const char * | what () const noexcept
| This function returns the error message.

## Static Public Attributes

static const char *const | LOCKED_EXTERNAL_ACCESS_MESSAGE_DEFAULT
| Default message used in the library.

## Additional Inherited Members

Protected Member Functions inherited from Exception
| Exception (const char *const &message) noexcept
| Default constructor.
| Exception (const Exception &ex) noexcept
| Default copy constructor.
| Exception (Exception &&ex) noexcept
| Default move constructor.
Exception & | operator= (const Exception &ex) noexcept
| Assigment operation.
Exception & | operator= (Exception &&ex) noexcept
| Assigment operation.

## Detailed Description

This class is thrown as an exception when accessing to set the value of a locked external.

## Constructor & Destructor Documentation

## ◆ LockedExternalAccessException() [1/3]

LockedExternalAccessException | ( | const char *const & | message | ) |

noexcept

Default constructor.

Parameters

  message | An error message. This message pointer is copied.

## ◆ LockedExternalAccessException() [2/3]

LockedExternalAccessException | ( | const LockedExternalAccessException & | ex | ) |

noexcept

Default copy constructor.

Parameters

  ex | LockedExternalAccessException that will be copied.

## ◆ LockedExternalAccessException() [3/3]

LockedExternalAccessException | ( | LockedExternalAccessException && | ex | ) |

noexcept

Default move constructor.

Parameters

  ex | LockedExternalAccessException that will be moved.

## ◆ ~LockedExternalAccessException()

virtual ~LockedExternalAccessException | ( |  | ) |

virtual noexcept

Default destructor.

## Member Function Documentation

## ◆ operator=() [1/2]

LockedExternalAccessException & operator= | ( | const LockedExternalAccessException & | ex | ) |

noexcept

Assigment operation.

Parameters

  ex | LockedExternalAccessException that will be copied.

## ◆ operator=() [2/2]

LockedExternalAccessException & operator= | ( | LockedExternalAccessException && | ex | ) |

noexcept

Assigment operation.

Parameters

  ex | LockedExternalAccessException that will be moved.

## ◆ raise()

void raise | ( |  | ) | const

override virtual

This function throws the object as exception.

Implements Exception.

## Member Data Documentation

## ◆ LOCKED_EXTERNAL_ACCESS_MESSAGE_DEFAULT

const char* const LOCKED_EXTERNAL_ACCESS_MESSAGE_DEFAULT

static

Default message used in the library.

The documentation for this class was generated from the following file:

- include/fastcdr/exceptions/LockedExternalAccessException.hpp